'textbox selection
'   在一个文本框中选择某个范围的字符。
'   hWndControl: 控件的句柄 (例如  HWND_FORM1_TEXTBOX1)
'   nStartPos:   所选内容的字符开始位置。
'   nEndPos:     所选内容的字符结束位置。
Sub FF_TextBox_SetSel (ByVal hWndControl as HWnd, _
                       ByVal nStartPos as Long, _
                       ByVal nEndPos as Long) 
    
    '检查窗口句柄是否有效
    If IsWindow(hWndControl) Then  
       ' Set the start and end positions of the selection
         SendMessageW hWndControl, EM_SETSEL, nStartPos, nEndPos
    End If  
                                 
End Sub

